- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class THttpResponseAdapter

    TComponent
       |
       --TApplicationComponent
          |
          --THttpResponseAdapter

#### Direct Known Sub-classes:

TCallbackResponseAdapter

THttpResponseAdapter class.

THttpResponseAdapter allows the base http response class to change behavior without change the class hierarchy.

Since: 3.0
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constructor Summary
public | __construct Array Constructor. Attach a response to be adapted.

Method Summary
void | createNewHtmlWriter ( string $type, ITextWriter $writer) This method is invoked when a new HtmlWriter needs to be created.
void | flushContent () This method is invoked when the response flushes the content and headers.
THttpResponse | getResponse ()
void | httpRedirect ( string $url) This method is invoked when the response is to redirect to another page.

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor. Attach a response to be adapted.

Method Details

## createNewHtmlWriter

public void createNewHtmlWriter | (string $type , ITextWriter $writer )

This method is invoked when a new HtmlWriter needs to be created.

Default implementation calls the attached response createNewHtmlWriter method.

Input
string | $type | type of the HTML writer to be created.
ITextWriter | $writer | the writer responsible for holding the content.
Output
Exception

## flushContent

public void flushContent | ()

This method is invoked when the response flushes the content and headers.

Default implementation calls the attached response flushContent method.

Output
Exception

## getResponse

public THttpResponse getResponse | ()

Output
THttpResponse | the response object adapted.
Exception

## httpRedirect

public void httpRedirect | (string $url )

This method is invoked when the response is to redirect to another page.

Input
string | $url | new url to redirect to.
Output
Exception